%define upstream_name    Catalyst-Plugin-Session-State-Cookie
%define abbrev_name      Catalyst-P-S-State-Cookie
%define upstream_version 0.17

Name:       perl-%{abbrev_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

License:    Artistic/GPL
Summary:    Cookie-based session plugin for Catalyst
Group:      Development/Perl
URL:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Catalyst::Plugin::Session) >= 0.06
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::MockObject) >= 1.01
Provides:	perl-%{upstream_name}
Obsoletes:	perl-%{upstream_name}
BuildArch:	noarch


%description
In order for Catalyst::Plugin::Session to work the session ID needs to be
stored on the client, and the session data needs to be stored on the server.
This plugin stores the session ID on the client using the cookie mechanism.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README META.yml
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*

%clean
rm -rf %{buildroot}

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 363928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 41010
- mageia rebuild
- imported package perl-Catalyst-P-S-State-Cookie

